# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
EAPI=4

JAVA_PKG_IUSE="source"

inherit java-pkg-2 java-ant-2

DESCRIPTION="PlantUML draws UML diagrams from their textual representation"
HOMEPAGE="http://plantuml.sourceforge.net"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"

LICENSE="GPLv2"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""

COMMON_DEP="dev-java/ant-core"

RDEPEND=">=virtual/jre-1.6
	${COMMON_DEP}"
DEPEND=">=virtual/jdk-1.6
	app-arch/unzip
	${COMMON_DEP}"

JAVA_ANT_REWRITE_CLASSPATH="true"
EANT_BUILD_TARGET="dist"
EANT_DOC_TARGET=""
EANT_GENTOO_CLASSPATH="ant-core"

src_unpack() {
	unpack ${A}
	cd "${S}"
	epatch "${FILESDIR}/DateEvent.patch"
}

src_install() {
	java-pkg_dojar ${PN}.jar
	use source && java-pkg_dosrc src
}
