# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=4

DESCRIPTION="Drupal Code Sniffer"
HOMEPAGE="http://drupal.org/project/drupalcs"
SRC_URI="http://ftp.drupal.org/files/projects/${PN}-7.x-${PV/_/-}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""

DEPEND="dev-php/PEAR-PHP_CodeSniffer"
RDEPEND="${DEPEND}"

S=${WORKDIR}/${PN}

src_install() {
	dodoc README.txt

	insinto /usr/share/php/PHP/CodeSniffer/Standards
	doins -r Drupal
	insinto /usr/share/php/tests/PHP_CodeSniffer/CodeSniffer/Standards/Drupal
	doins -r Test
}
