# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils

DESCRIPTION="Python im-/export filters for MS Excel files. Including xls2txt, xls2csv and xls2html commands."
HOMEPAGE="http://sourceforge.net/projects/pyexcelerator"
SRC_URI="mirror://sourceforge/${PN}/${P}.zip"

LICENSE="BSD"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND="dev-lang/python"

src_install() {
	python ./setup.py install --root=${D} || die

    cd tools || die
	ls *.py | while read file ; do mv "${file}" "${file/.py/}" ; done
    dobin xls2txt || die
    dobin xls2csv || die
    dobin xls2html || die
}
