# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="3"

inherit python

DESCRIPTION="Python lib for prowl-api."
GITHUB_USER="babs"
GITHUB_TAG="c5aed5d"
HOMEPAGE="https://github.com/${GITHUB_USER}/${PN}"
SRC_URI="https://github.com/${GITHUB_USER}/${PN}/tarball/${GITHUB_TAG} ->
${GITHUB_USER}-${PN}-${GITHUB_TAG}.tar.gz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND="dev-lang/python"

S=${WORKDIR}/${GITHUB_USER}-${PN}-${GITHUB_TAG}

src_prepare() {
	python_convert_shebangs -r 2 .
}

src_install() {
	insinto "$(python_get_sitedir)/${PN}"
	doins ${PN}/*.py
}
