# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

DESCRIPTION="Convert html to pdf (and various image formats) using webkit
static"
HOMEPAGE="http://code.google.com/p/wkhtmltopdf/"
SRC_URI="http://wkhtmltopdf.googlecode.com/files/${P/-static/}-static-amd64.tar.bz2"

LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="~amd64"
RESTRICT=strip

RDEPEND="x11-libs/libXrender
		x11-libs/libXext	
		media-fonts/urw-fonts"
DEPEND="${RDEPEND}"

src_unpack() {
	unpack ${A}
	mkdir ${S}
}

src_install() {
	exeinto "/opt/${PN}"
	doexe "${WORKDIR}/wkhtmltopdf-amd64"
}
